Index: pacemaker/pengine/test10/inc11.exp
===================================================================
--- pacemaker.orig/pengine/test10/inc11.exp
+++ pacemaker/pengine/test10/inc11.exp
@@ -3,7 +3,7 @@
      <action_set>
       <rsc_op id="11" operation="start" operation_key="simple-rsc_start_0" on_node="node2" on_node_uuid="uuid2">
         <primitive id="simple-rsc" class="heartbeat" type="apache"/>
-        <attributes CRM_meta_timeout="20000" />
+        <attributes CRM_meta_on_node="node2" CRM_meta_on_node_uuid="uuid2" CRM_meta_timeout="20000" />
        </rsc_op>
      </action_set>
     <inputs>
@@ -22,7 +22,7 @@
      <action_set>
       <rsc_op id="8" operation="monitor" operation_key="simple-rsc_monitor_0" on_node="node2" on_node_uuid="uuid2">
         <primitive id="simple-rsc" class="heartbeat" type="apache"/>
-        <attributes CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_on_node="node2" CRM_meta_on_node_uuid="uuid2" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
        </rsc_op>
      </action_set>
      <inputs/>
@@ -31,7 +31,7 @@
      <action_set>
       <rsc_op id="5" operation="monitor" operation_key="simple-rsc_monitor_0" on_node="node1" on_node_uuid="uuid1">
         <primitive id="simple-rsc" class="heartbeat" type="apache"/>
-        <attributes CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_on_node="node1" CRM_meta_on_node_uuid="uuid1" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
        </rsc_op>
      </action_set>
     <inputs/>
@@ -40,7 +40,7 @@
      <action_set>
       <rsc_op id="2" operation="monitor" operation_key="simple-rsc_monitor_0" on_node="node0" on_node_uuid="uuid0">
         <primitive id="simple-rsc" class="heartbeat" type="apache"/>
-        <attributes CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_on_node="node0" CRM_meta_on_node_uuid="uuid0" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs/>
@@ -49,7 +49,7 @@
     <action_set>
       <rsc_op id="12" operation="start" operation_key="child_rsc1:0_start_0" on_node="node1" on_node_uuid="uuid1">
         <primitive id="child_rsc1:0" class="ocf" provider="heartbeat" type="apache"/>
-        <attributes CRM_meta_clone="0" CRM_meta_clone_max="2" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="true" CRM_meta_master_max="1" CRM_meta_master_node_max="1" CRM_meta_notify="false" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_clone="0" CRM_meta_clone_max="2" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="true" CRM_meta_master_max="1" CRM_meta_master_node_max="1" CRM_meta_notify="false" CRM_meta_on_node="node1" CRM_meta_on_node_uuid="uuid1" CRM_meta_timeout="20000" />
        </rsc_op>
      </action_set>
      <inputs>
@@ -62,7 +62,7 @@
      <action_set>
       <rsc_op id="9" operation="monitor" operation_key="child_rsc1:0_monitor_0" on_node="node2" on_node_uuid="uuid2">
         <primitive id="child_rsc1:0" class="ocf" provider="heartbeat" type="apache"/>
-        <attributes CRM_meta_clone="0" CRM_meta_clone_max="2" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="true" CRM_meta_master_max="1" CRM_meta_master_node_max="1" CRM_meta_notify="false" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_clone="0" CRM_meta_clone_max="2" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="true" CRM_meta_master_max="1" CRM_meta_master_node_max="1" CRM_meta_notify="false" CRM_meta_on_node="node2" CRM_meta_on_node_uuid="uuid2" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
        </rsc_op>
      </action_set>
      <inputs/>
@@ -71,7 +71,7 @@
      <action_set>
       <rsc_op id="6" operation="monitor" operation_key="child_rsc1:0_monitor_0" on_node="node1" on_node_uuid="uuid1">
         <primitive id="child_rsc1:0" class="ocf" provider="heartbeat" type="apache"/>
-        <attributes CRM_meta_clone="0" CRM_meta_clone_max="2" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="true" CRM_meta_master_max="1" CRM_meta_master_node_max="1" CRM_meta_notify="false" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_clone="0" CRM_meta_clone_max="2" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="true" CRM_meta_master_max="1" CRM_meta_master_node_max="1" CRM_meta_notify="false" CRM_meta_on_node="node1" CRM_meta_on_node_uuid="uuid1" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
        </rsc_op>
      </action_set>
      <inputs/>
@@ -80,7 +80,7 @@
      <action_set>
       <rsc_op id="3" operation="monitor" operation_key="child_rsc1:0_monitor_0" on_node="node0" on_node_uuid="uuid0">
         <primitive id="child_rsc1:0" class="ocf" provider="heartbeat" type="apache"/>
-        <attributes CRM_meta_clone="0" CRM_meta_clone_max="2" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="true" CRM_meta_master_max="1" CRM_meta_master_node_max="1" CRM_meta_notify="false" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_clone="0" CRM_meta_clone_max="2" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="true" CRM_meta_master_max="1" CRM_meta_master_node_max="1" CRM_meta_notify="false" CRM_meta_on_node="node0" CRM_meta_on_node_uuid="uuid0" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
        </rsc_op>
      </action_set>
      <inputs/>
@@ -89,7 +89,7 @@
      <action_set>
       <rsc_op id="14" operation="promote" operation_key="child_rsc1:1_promote_0" on_node="node2" on_node_uuid="uuid2">
         <primitive id="child_rsc1:1" class="ocf" provider="heartbeat" type="apache"/>
-        <attributes CRM_meta_clone="1" CRM_meta_clone_max="2" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="true" CRM_meta_master_max="1" CRM_meta_master_node_max="1" CRM_meta_notify="false" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_clone="1" CRM_meta_clone_max="2" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="true" CRM_meta_master_max="1" CRM_meta_master_node_max="1" CRM_meta_notify="false" CRM_meta_on_node="node2" CRM_meta_on_node_uuid="uuid2" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -105,7 +105,7 @@
     <action_set>
       <rsc_op id="13" operation="start" operation_key="child_rsc1:1_start_0" on_node="node2" on_node_uuid="uuid2">
         <primitive id="child_rsc1:1" class="ocf" provider="heartbeat" type="apache"/>
-        <attributes CRM_meta_clone="1" CRM_meta_clone_max="2" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="true" CRM_meta_master_max="1" CRM_meta_master_node_max="1" CRM_meta_notify="false" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_clone="1" CRM_meta_clone_max="2" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="true" CRM_meta_master_max="1" CRM_meta_master_node_max="1" CRM_meta_notify="false" CRM_meta_on_node="node2" CRM_meta_on_node_uuid="uuid2" CRM_meta_timeout="20000" />
        </rsc_op>
      </action_set>
      <inputs>
@@ -118,7 +118,7 @@
      <action_set>
       <rsc_op id="10" operation="monitor" operation_key="child_rsc1:1_monitor_0" on_node="node2" on_node_uuid="uuid2">
         <primitive id="child_rsc1:1" class="ocf" provider="heartbeat" type="apache"/>
-        <attributes CRM_meta_clone="1" CRM_meta_clone_max="2" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="true" CRM_meta_master_max="1" CRM_meta_master_node_max="1" CRM_meta_notify="false" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_clone="1" CRM_meta_clone_max="2" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="true" CRM_meta_master_max="1" CRM_meta_master_node_max="1" CRM_meta_notify="false" CRM_meta_on_node="node2" CRM_meta_on_node_uuid="uuid2" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
        </rsc_op>
      </action_set>
      <inputs/>
@@ -127,7 +127,7 @@
      <action_set>
       <rsc_op id="7" operation="monitor" operation_key="child_rsc1:1_monitor_0" on_node="node1" on_node_uuid="uuid1">
         <primitive id="child_rsc1:1" class="ocf" provider="heartbeat" type="apache"/>
-        <attributes CRM_meta_clone="1" CRM_meta_clone_max="2" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="true" CRM_meta_master_max="1" CRM_meta_master_node_max="1" CRM_meta_notify="false" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_clone="1" CRM_meta_clone_max="2" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="true" CRM_meta_master_max="1" CRM_meta_master_node_max="1" CRM_meta_notify="false" CRM_meta_on_node="node1" CRM_meta_on_node_uuid="uuid1" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
        </rsc_op>
      </action_set>
      <inputs/>
@@ -136,7 +136,7 @@
      <action_set>
       <rsc_op id="4" operation="monitor" operation_key="child_rsc1:1_monitor_0" on_node="node0" on_node_uuid="uuid0">
         <primitive id="child_rsc1:1" class="ocf" provider="heartbeat" type="apache"/>
-        <attributes CRM_meta_clone="1" CRM_meta_clone_max="2" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="true" CRM_meta_master_max="1" CRM_meta_master_node_max="1" CRM_meta_notify="false" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_clone="1" CRM_meta_clone_max="2" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="true" CRM_meta_master_max="1" CRM_meta_master_node_max="1" CRM_meta_notify="false" CRM_meta_on_node="node0" CRM_meta_on_node_uuid="uuid0" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
        </rsc_op>
      </action_set>
      <inputs/>
Index: pacemaker/pengine/test10/inc12.exp
===================================================================
--- pacemaker.orig/pengine/test10/inc12.exp
+++ pacemaker/pengine/test10/inc12.exp
@@ -32,7 +32,7 @@
      <action_set>
       <rsc_op id="26" operation="stop" operation_key="ocf_192.168.100.181_stop_0" on_node="c001n02" on_node_uuid="e8973f32-1c97-40cb-a84a-c489f49664a5">
         <primitive id="ocf_192.168.100.181" class="ocf" provider="heartbeat" type="IPaddr"/>
-        <attributes CRM_meta_timeout="10000"  ip="192.168.100.181"/>
+        <attributes CRM_meta_on_node="c001n02" CRM_meta_on_node_uuid="e8973f32-1c97-40cb-a84a-c489f49664a5" CRM_meta_timeout="10000"  ip="192.168.100.181"/>
        </rsc_op>
      </action_set>
      <inputs>
@@ -48,7 +48,7 @@
      <action_set>
       <rsc_op id="27" operation="stop" operation_key="heartbeat_192.168.100.182_stop_0" on_node="c001n02" on_node_uuid="e8973f32-1c97-40cb-a84a-c489f49664a5">
         <primitive id="heartbeat_192.168.100.182" class="heartbeat" type="IPaddr"/>
-        <attributes CRM_meta_timeout="10000" >
+        <attributes CRM_meta_on_node="c001n02" CRM_meta_on_node_uuid="e8973f32-1c97-40cb-a84a-c489f49664a5" CRM_meta_timeout="10000" >
           <param name="1" value="192.168.100.182"/>
         </attributes>
        </rsc_op>
@@ -66,7 +66,7 @@
      <action_set>
       <rsc_op id="28" operation="stop" operation_key="ocf_192.168.100.183_stop_0" on_node="c001n02" on_node_uuid="e8973f32-1c97-40cb-a84a-c489f49664a5">
         <primitive id="ocf_192.168.100.183" class="ocf" provider="heartbeat" type="IPaddr"/>
-        <attributes CRM_meta_timeout="10000"  ip="192.168.100.183"/>
+        <attributes CRM_meta_on_node="c001n02" CRM_meta_on_node_uuid="e8973f32-1c97-40cb-a84a-c489f49664a5" CRM_meta_timeout="10000"  ip="192.168.100.183"/>
        </rsc_op>
      </action_set>
      <inputs>
@@ -79,7 +79,7 @@
      <action_set>
       <rsc_op id="33" operation="stop" operation_key="lsb_dummy_stop_0" on_node="c001n04" on_node_uuid="9e080e6d-7a25-4dac-be89-f6f4f128623d">
         <primitive id="lsb_dummy" class="lsb" type="/usr/lib/heartbeat/cts/LSBDummy"/>
-        <attributes CRM_meta_timeout="10000" />
+        <attributes CRM_meta_on_node="c001n04" CRM_meta_on_node_uuid="9e080e6d-7a25-4dac-be89-f6f4f128623d" CRM_meta_timeout="10000" />
        </rsc_op>
      </action_set>
      <inputs/>
@@ -88,7 +88,7 @@
      <action_set>
       <rsc_op id="34" operation="stop" operation_key="rsc_c001n03_stop_0" on_node="c001n05" on_node_uuid="52a5ea5e-86ee-442c-b251-0bc9825c517e">
         <primitive id="rsc_c001n03" class="ocf" provider="heartbeat" type="IPaddr"/>
-        <attributes CRM_meta_timeout="10000"  ip="192.168.100.184"/>
+        <attributes CRM_meta_on_node="c001n05" CRM_meta_on_node_uuid="52a5ea5e-86ee-442c-b251-0bc9825c517e" CRM_meta_timeout="10000"  ip="192.168.100.184"/>
        </rsc_op>
      </action_set>
      <inputs/>
@@ -97,7 +97,7 @@
      <action_set>
       <rsc_op id="35" operation="stop" operation_key="rsc_c001n02_stop_0" on_node="c001n02" on_node_uuid="e8973f32-1c97-40cb-a84a-c489f49664a5">
         <primitive id="rsc_c001n02" class="ocf" provider="heartbeat" type="IPaddr"/>
-        <attributes CRM_meta_timeout="10000"  ip="192.168.100.185"/>
+        <attributes CRM_meta_on_node="c001n02" CRM_meta_on_node_uuid="e8973f32-1c97-40cb-a84a-c489f49664a5" CRM_meta_timeout="10000"  ip="192.168.100.185"/>
        </rsc_op>
      </action_set>
      <inputs/>
@@ -106,7 +106,7 @@
      <action_set>
       <rsc_op id="36" operation="stop" operation_key="rsc_c001n04_stop_0" on_node="c001n04" on_node_uuid="9e080e6d-7a25-4dac-be89-f6f4f128623d">
         <primitive id="rsc_c001n04" class="ocf" provider="heartbeat" type="IPaddr"/>
-        <attributes CRM_meta_timeout="10000"  ip="192.168.100.186"/>
+        <attributes CRM_meta_on_node="c001n04" CRM_meta_on_node_uuid="9e080e6d-7a25-4dac-be89-f6f4f128623d" CRM_meta_timeout="10000"  ip="192.168.100.186"/>
        </rsc_op>
      </action_set>
      <inputs/>
@@ -115,7 +115,7 @@
      <action_set>
       <rsc_op id="37" operation="stop" operation_key="rsc_c001n05_stop_0" on_node="c001n05" on_node_uuid="52a5ea5e-86ee-442c-b251-0bc9825c517e">
         <primitive id="rsc_c001n05" class="ocf" provider="heartbeat" type="IPaddr"/>
-        <attributes CRM_meta_timeout="10000"  ip="192.168.100.187"/>
+        <attributes CRM_meta_on_node="c001n05" CRM_meta_on_node_uuid="52a5ea5e-86ee-442c-b251-0bc9825c517e" CRM_meta_timeout="10000"  ip="192.168.100.187"/>
        </rsc_op>
      </action_set>
      <inputs/>
@@ -124,7 +124,7 @@
      <action_set>
       <rsc_op id="38" operation="stop" operation_key="rsc_c001n06_stop_0" on_node="c001n06" on_node_uuid="169e4673-93fb-4c0a-8082-d3408bae9431">
         <primitive id="rsc_c001n06" class="ocf" provider="heartbeat" type="IPaddr"/>
-        <attributes CRM_meta_timeout="10000"  ip="192.168.100.188"/>
+        <attributes CRM_meta_on_node="c001n06" CRM_meta_on_node_uuid="169e4673-93fb-4c0a-8082-d3408bae9431" CRM_meta_timeout="10000"  ip="192.168.100.188"/>
        </rsc_op>
      </action_set>
      <inputs/>
@@ -133,7 +133,7 @@
      <action_set>
       <rsc_op id="39" operation="stop" operation_key="rsc_c001n07_stop_0" on_node="c001n07" on_node_uuid="6637ebb5-ab11-4728-b69e-b61222af9a0c">
         <primitive id="rsc_c001n07" class="ocf" provider="heartbeat" type="IPaddr"/>
-        <attributes CRM_meta_timeout="10000"  ip="192.168.100.189"/>
+        <attributes CRM_meta_on_node="c001n07" CRM_meta_on_node_uuid="6637ebb5-ab11-4728-b69e-b61222af9a0c" CRM_meta_timeout="10000"  ip="192.168.100.189"/>
        </rsc_op>
      </action_set>
      <inputs/>
@@ -142,7 +142,7 @@
      <action_set>
       <rsc_op id="40" operation="stop" operation_key="child_DoFencing:1_stop_0" internal_operation_key="child_DoFencing:0_stop_0" on_node="c001n02" on_node_uuid="e8973f32-1c97-40cb-a84a-c489f49664a5">
         <primitive id="child_DoFencing" long-id="child_DoFencing:1" class="stonith" type="ssh"/>
-        <attributes CRM_meta_clone="0" CRM_meta_clone_max="6" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_timeout="10000"  hostlist="c001n03 c001n02 c001n04 c001n05 c001n06 c001n07 "/>
+        <attributes CRM_meta_clone="0" CRM_meta_clone_max="6" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_on_node="c001n02" CRM_meta_on_node_uuid="e8973f32-1c97-40cb-a84a-c489f49664a5" CRM_meta_timeout="10000"  hostlist="c001n03 c001n02 c001n04 c001n05 c001n06 c001n07 "/>
        </rsc_op>
      </action_set>
      <inputs>
@@ -155,7 +155,7 @@
      <action_set>
       <rsc_op id="41" operation="stop" operation_key="child_DoFencing:2_stop_0" internal_operation_key="child_DoFencing:1_stop_0" on_node="c001n04" on_node_uuid="9e080e6d-7a25-4dac-be89-f6f4f128623d">
         <primitive id="child_DoFencing" long-id="child_DoFencing:2" class="stonith" type="ssh"/>
-        <attributes CRM_meta_clone="1" CRM_meta_clone_max="6" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_timeout="10000"  hostlist="c001n03 c001n02 c001n04 c001n05 c001n06 c001n07 "/>
+        <attributes CRM_meta_clone="1" CRM_meta_clone_max="6" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_on_node="c001n04" CRM_meta_on_node_uuid="9e080e6d-7a25-4dac-be89-f6f4f128623d" CRM_meta_timeout="10000"  hostlist="c001n03 c001n02 c001n04 c001n05 c001n06 c001n07 "/>
        </rsc_op>
      </action_set>
      <inputs>
@@ -168,7 +168,7 @@
      <action_set>
       <rsc_op id="42" operation="stop" operation_key="child_DoFencing:3_stop_0" internal_operation_key="child_DoFencing:2_stop_0" on_node="c001n05" on_node_uuid="52a5ea5e-86ee-442c-b251-0bc9825c517e">
         <primitive id="child_DoFencing" long-id="child_DoFencing:3" class="stonith" type="ssh"/>
-        <attributes CRM_meta_clone="2" CRM_meta_clone_max="6" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_timeout="10000"  hostlist="c001n03 c001n02 c001n04 c001n05 c001n06 c001n07 "/>
+        <attributes CRM_meta_clone="2" CRM_meta_clone_max="6" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_on_node="c001n05" CRM_meta_on_node_uuid="52a5ea5e-86ee-442c-b251-0bc9825c517e" CRM_meta_timeout="10000"  hostlist="c001n03 c001n02 c001n04 c001n05 c001n06 c001n07 "/>
        </rsc_op>
      </action_set>
      <inputs>
@@ -181,7 +181,7 @@
      <action_set>
       <rsc_op id="43" operation="stop" operation_key="child_DoFencing:4_stop_0" internal_operation_key="child_DoFencing:3_stop_0" on_node="c001n06" on_node_uuid="169e4673-93fb-4c0a-8082-d3408bae9431">
         <primitive id="child_DoFencing" long-id="child_DoFencing:4" class="stonith" type="ssh"/>
-        <attributes CRM_meta_clone="3" CRM_meta_clone_max="6" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_timeout="10000"  hostlist="c001n03 c001n02 c001n04 c001n05 c001n06 c001n07 "/>
+        <attributes CRM_meta_clone="3" CRM_meta_clone_max="6" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_on_node="c001n06" CRM_meta_on_node_uuid="169e4673-93fb-4c0a-8082-d3408bae9431" CRM_meta_timeout="10000"  hostlist="c001n03 c001n02 c001n04 c001n05 c001n06 c001n07 "/>
        </rsc_op>
      </action_set>
      <inputs>
@@ -194,7 +194,7 @@
      <action_set>
       <rsc_op id="44" operation="stop" operation_key="child_DoFencing:5_stop_0" internal_operation_key="child_DoFencing:4_stop_0" on_node="c001n07" on_node_uuid="6637ebb5-ab11-4728-b69e-b61222af9a0c">
         <primitive id="child_DoFencing" long-id="child_DoFencing:5" class="stonith" type="ssh"/>
-        <attributes CRM_meta_clone="4" CRM_meta_clone_max="6" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_timeout="10000"  hostlist="c001n03 c001n02 c001n04 c001n05 c001n06 c001n07 "/>
+        <attributes CRM_meta_clone="4" CRM_meta_clone_max="6" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_on_node="c001n07" CRM_meta_on_node_uuid="6637ebb5-ab11-4728-b69e-b61222af9a0c" CRM_meta_timeout="10000"  hostlist="c001n03 c001n02 c001n04 c001n05 c001n06 c001n07 "/>
        </rsc_op>
      </action_set>
      <inputs>
@@ -242,7 +242,7 @@
      <action_set>
       <rsc_op id="49" operation="stop" operation_key="ocf_msdummy:10_stop_0" on_node="c001n02" on_node_uuid="e8973f32-1c97-40cb-a84a-c489f49664a5">
         <primitive id="ocf_msdummy:10" class="ocf" provider="heartbeat" type="Stateful"/>
-        <attributes CRM_meta_clone="10" CRM_meta_clone_max="12" CRM_meta_clone_node_max="2" CRM_meta_globally_unique="true" CRM_meta_master_max="6" CRM_meta_master_node_max="1" CRM_meta_notify="false" CRM_meta_timeout="10000" />
+        <attributes CRM_meta_clone="10" CRM_meta_clone_max="12" CRM_meta_clone_node_max="2" CRM_meta_globally_unique="true" CRM_meta_master_max="6" CRM_meta_master_node_max="1" CRM_meta_notify="false" CRM_meta_on_node="c001n02" CRM_meta_on_node_uuid="e8973f32-1c97-40cb-a84a-c489f49664a5" CRM_meta_timeout="10000" />
        </rsc_op>
      </action_set>
      <inputs>
@@ -255,7 +255,7 @@
      <action_set>
       <rsc_op id="50" operation="stop" operation_key="ocf_msdummy:11_stop_0" on_node="c001n02" on_node_uuid="e8973f32-1c97-40cb-a84a-c489f49664a5">
         <primitive id="ocf_msdummy:11" class="ocf" provider="heartbeat" type="Stateful"/>
-        <attributes CRM_meta_clone="11" CRM_meta_clone_max="12" CRM_meta_clone_node_max="2" CRM_meta_globally_unique="true" CRM_meta_master_max="6" CRM_meta_master_node_max="1" CRM_meta_notify="false" CRM_meta_timeout="10000" />
+        <attributes CRM_meta_clone="11" CRM_meta_clone_max="12" CRM_meta_clone_node_max="2" CRM_meta_globally_unique="true" CRM_meta_master_max="6" CRM_meta_master_node_max="1" CRM_meta_notify="false" CRM_meta_on_node="c001n02" CRM_meta_on_node_uuid="e8973f32-1c97-40cb-a84a-c489f49664a5" CRM_meta_timeout="10000" />
        </rsc_op>
      </action_set>
      <inputs>
@@ -268,7 +268,7 @@
      <action_set>
       <rsc_op id="51" operation="stop" operation_key="ocf_msdummy:2_stop_0" on_node="c001n04" on_node_uuid="9e080e6d-7a25-4dac-be89-f6f4f128623d">
         <primitive id="ocf_msdummy:2" class="ocf" provider="heartbeat" type="Stateful"/>
-        <attributes CRM_meta_clone="2" CRM_meta_clone_max="12" CRM_meta_clone_node_max="2" CRM_meta_globally_unique="true" CRM_meta_master_max="6" CRM_meta_master_node_max="1" CRM_meta_notify="false" CRM_meta_timeout="10000" />
+        <attributes CRM_meta_clone="2" CRM_meta_clone_max="12" CRM_meta_clone_node_max="2" CRM_meta_globally_unique="true" CRM_meta_master_max="6" CRM_meta_master_node_max="1" CRM_meta_notify="false" CRM_meta_on_node="c001n04" CRM_meta_on_node_uuid="9e080e6d-7a25-4dac-be89-f6f4f128623d" CRM_meta_timeout="10000" />
        </rsc_op>
      </action_set>
      <inputs>
@@ -281,7 +281,7 @@
      <action_set>
       <rsc_op id="52" operation="stop" operation_key="ocf_msdummy:3_stop_0" on_node="c001n04" on_node_uuid="9e080e6d-7a25-4dac-be89-f6f4f128623d">
         <primitive id="ocf_msdummy:3" class="ocf" provider="heartbeat" type="Stateful"/>
-        <attributes CRM_meta_clone="3" CRM_meta_clone_max="12" CRM_meta_clone_node_max="2" CRM_meta_globally_unique="true" CRM_meta_master_max="6" CRM_meta_master_node_max="1" CRM_meta_notify="false" CRM_meta_timeout="10000" />
+        <attributes CRM_meta_clone="3" CRM_meta_clone_max="12" CRM_meta_clone_node_max="2" CRM_meta_globally_unique="true" CRM_meta_master_max="6" CRM_meta_master_node_max="1" CRM_meta_notify="false" CRM_meta_on_node="c001n04" CRM_meta_on_node_uuid="9e080e6d-7a25-4dac-be89-f6f4f128623d" CRM_meta_timeout="10000" />
        </rsc_op>
      </action_set>
      <inputs>
@@ -294,7 +294,7 @@
      <action_set>
       <rsc_op id="53" operation="stop" operation_key="ocf_msdummy:4_stop_0" on_node="c001n05" on_node_uuid="52a5ea5e-86ee-442c-b251-0bc9825c517e">
         <primitive id="ocf_msdummy:4" class="ocf" provider="heartbeat" type="Stateful"/>
-        <attributes CRM_meta_clone="4" CRM_meta_clone_max="12" CRM_meta_clone_node_max="2" CRM_meta_globally_unique="true" CRM_meta_master_max="6" CRM_meta_master_node_max="1" CRM_meta_notify="false" CRM_meta_timeout="10000" />
+        <attributes CRM_meta_clone="4" CRM_meta_clone_max="12" CRM_meta_clone_node_max="2" CRM_meta_globally_unique="true" CRM_meta_master_max="6" CRM_meta_master_node_max="1" CRM_meta_notify="false" CRM_meta_on_node="c001n05" CRM_meta_on_node_uuid="52a5ea5e-86ee-442c-b251-0bc9825c517e" CRM_meta_timeout="10000" />
        </rsc_op>
      </action_set>
      <inputs>
@@ -307,7 +307,7 @@
      <action_set>
       <rsc_op id="54" operation="stop" operation_key="ocf_msdummy:5_stop_0" on_node="c001n05" on_node_uuid="52a5ea5e-86ee-442c-b251-0bc9825c517e">
         <primitive id="ocf_msdummy:5" class="ocf" provider="heartbeat" type="Stateful"/>
-        <attributes CRM_meta_clone="5" CRM_meta_clone_max="12" CRM_meta_clone_node_max="2" CRM_meta_globally_unique="true" CRM_meta_master_max="6" CRM_meta_master_node_max="1" CRM_meta_notify="false" CRM_meta_timeout="10000" />
+        <attributes CRM_meta_clone="5" CRM_meta_clone_max="12" CRM_meta_clone_node_max="2" CRM_meta_globally_unique="true" CRM_meta_master_max="6" CRM_meta_master_node_max="1" CRM_meta_notify="false" CRM_meta_on_node="c001n05" CRM_meta_on_node_uuid="52a5ea5e-86ee-442c-b251-0bc9825c517e" CRM_meta_timeout="10000" />
        </rsc_op>
      </action_set>
      <inputs>
@@ -320,7 +320,7 @@
      <action_set>
       <rsc_op id="55" operation="stop" operation_key="ocf_msdummy:6_stop_0" on_node="c001n06" on_node_uuid="169e4673-93fb-4c0a-8082-d3408bae9431">
         <primitive id="ocf_msdummy:6" class="ocf" provider="heartbeat" type="Stateful"/>
-        <attributes CRM_meta_clone="6" CRM_meta_clone_max="12" CRM_meta_clone_node_max="2" CRM_meta_globally_unique="true" CRM_meta_master_max="6" CRM_meta_master_node_max="1" CRM_meta_notify="false" CRM_meta_timeout="10000" />
+        <attributes CRM_meta_clone="6" CRM_meta_clone_max="12" CRM_meta_clone_node_max="2" CRM_meta_globally_unique="true" CRM_meta_master_max="6" CRM_meta_master_node_max="1" CRM_meta_notify="false" CRM_meta_on_node="c001n06" CRM_meta_on_node_uuid="169e4673-93fb-4c0a-8082-d3408bae9431" CRM_meta_timeout="10000" />
        </rsc_op>
      </action_set>
      <inputs>
@@ -333,7 +333,7 @@
      <action_set>
       <rsc_op id="56" operation="stop" operation_key="ocf_msdummy:7_stop_0" on_node="c001n06" on_node_uuid="169e4673-93fb-4c0a-8082-d3408bae9431">
         <primitive id="ocf_msdummy:7" class="ocf" provider="heartbeat" type="Stateful"/>
-        <attributes CRM_meta_clone="7" CRM_meta_clone_max="12" CRM_meta_clone_node_max="2" CRM_meta_globally_unique="true" CRM_meta_master_max="6" CRM_meta_master_node_max="1" CRM_meta_notify="false" CRM_meta_timeout="10000" />
+        <attributes CRM_meta_clone="7" CRM_meta_clone_max="12" CRM_meta_clone_node_max="2" CRM_meta_globally_unique="true" CRM_meta_master_max="6" CRM_meta_master_node_max="1" CRM_meta_notify="false" CRM_meta_on_node="c001n06" CRM_meta_on_node_uuid="169e4673-93fb-4c0a-8082-d3408bae9431" CRM_meta_timeout="10000" />
        </rsc_op>
      </action_set>
      <inputs>
@@ -346,7 +346,7 @@
      <action_set>
       <rsc_op id="57" operation="stop" operation_key="ocf_msdummy:8_stop_0" on_node="c001n07" on_node_uuid="6637ebb5-ab11-4728-b69e-b61222af9a0c">
         <primitive id="ocf_msdummy:8" class="ocf" provider="heartbeat" type="Stateful"/>
-        <attributes CRM_meta_clone="8" CRM_meta_clone_max="12" CRM_meta_clone_node_max="2" CRM_meta_globally_unique="true" CRM_meta_master_max="6" CRM_meta_master_node_max="1" CRM_meta_notify="false" CRM_meta_timeout="10000" />
+        <attributes CRM_meta_clone="8" CRM_meta_clone_max="12" CRM_meta_clone_node_max="2" CRM_meta_globally_unique="true" CRM_meta_master_max="6" CRM_meta_master_node_max="1" CRM_meta_notify="false" CRM_meta_on_node="c001n07" CRM_meta_on_node_uuid="6637ebb5-ab11-4728-b69e-b61222af9a0c" CRM_meta_timeout="10000" />
        </rsc_op>
      </action_set>
      <inputs>
@@ -359,7 +359,7 @@
      <action_set>
       <rsc_op id="58" operation="stop" operation_key="ocf_msdummy:9_stop_0" on_node="c001n07" on_node_uuid="6637ebb5-ab11-4728-b69e-b61222af9a0c">
         <primitive id="ocf_msdummy:9" class="ocf" provider="heartbeat" type="Stateful"/>
-        <attributes CRM_meta_clone="9" CRM_meta_clone_max="12" CRM_meta_clone_node_max="2" CRM_meta_globally_unique="true" CRM_meta_master_max="6" CRM_meta_master_node_max="1" CRM_meta_notify="false" CRM_meta_timeout="10000" />
+        <attributes CRM_meta_clone="9" CRM_meta_clone_max="12" CRM_meta_clone_node_max="2" CRM_meta_globally_unique="true" CRM_meta_master_max="6" CRM_meta_master_node_max="1" CRM_meta_notify="false" CRM_meta_on_node="c001n07" CRM_meta_on_node_uuid="6637ebb5-ab11-4728-b69e-b61222af9a0c" CRM_meta_timeout="10000" />
        </rsc_op>
      </action_set>
      <inputs>
@@ -421,7 +421,7 @@
   <synapse id="31">
     <action_set>
       <crm_event id="73" operation="do_shutdown" operation_key="do_shutdown-c001n07" on_node="c001n07" on_node_uuid="6637ebb5-ab11-4728-b69e-b61222af9a0c">
-        <attributes CRM_meta_op_no_wait="true" />
+        <attributes CRM_meta_on_node="c001n07" CRM_meta_on_node_uuid="6637ebb5-ab11-4728-b69e-b61222af9a0c" CRM_meta_op_no_wait="true" />
         <downed>
           <node id="6637ebb5-ab11-4728-b69e-b61222af9a0c"/>
         </downed>
@@ -445,7 +445,7 @@
   <synapse id="32">
     <action_set>
       <crm_event id="72" operation="do_shutdown" operation_key="do_shutdown-c001n06" on_node="c001n06" on_node_uuid="169e4673-93fb-4c0a-8082-d3408bae9431">
-        <attributes CRM_meta_op_no_wait="true" />
+        <attributes CRM_meta_on_node="c001n06" CRM_meta_on_node_uuid="169e4673-93fb-4c0a-8082-d3408bae9431" CRM_meta_op_no_wait="true" />
         <downed>
           <node id="169e4673-93fb-4c0a-8082-d3408bae9431"/>
         </downed>
@@ -469,7 +469,7 @@
   <synapse id="33">
     <action_set>
       <crm_event id="71" operation="do_shutdown" operation_key="do_shutdown-c001n05" on_node="c001n05" on_node_uuid="52a5ea5e-86ee-442c-b251-0bc9825c517e">
-        <attributes CRM_meta_op_no_wait="true" />
+        <attributes CRM_meta_on_node="c001n05" CRM_meta_on_node_uuid="52a5ea5e-86ee-442c-b251-0bc9825c517e" CRM_meta_op_no_wait="true" />
         <downed>
           <node id="52a5ea5e-86ee-442c-b251-0bc9825c517e"/>
         </downed>
@@ -496,7 +496,7 @@
   <synapse id="34">
      <action_set>
       <crm_event id="70" operation="do_shutdown" operation_key="do_shutdown-c001n04" on_node="c001n04" on_node_uuid="9e080e6d-7a25-4dac-be89-f6f4f128623d">
-        <attributes CRM_meta_op_no_wait="true" />
+        <attributes CRM_meta_on_node="c001n04" CRM_meta_on_node_uuid="9e080e6d-7a25-4dac-be89-f6f4f128623d" CRM_meta_op_no_wait="true" />
         <downed>
           <node id="9e080e6d-7a25-4dac-be89-f6f4f128623d"/>
         </downed>
@@ -523,7 +523,7 @@
   <synapse id="35">
      <action_set>
       <crm_event id="69" operation="do_shutdown" operation_key="do_shutdown-c001n03" on_node="c001n03" on_node_uuid="f5e1d2de-73da-432a-9d5c-37472253c2ee">
-        <attributes CRM_meta_op_no_wait="true" />
+        <attributes CRM_meta_on_node="c001n03" CRM_meta_on_node_uuid="f5e1d2de-73da-432a-9d5c-37472253c2ee" CRM_meta_op_no_wait="true" />
         <downed>
           <node id="f5e1d2de-73da-432a-9d5c-37472253c2ee"/>
         </downed>
@@ -550,7 +550,7 @@
   <synapse id="36">
      <action_set>
       <crm_event id="68" operation="do_shutdown" operation_key="do_shutdown-c001n02" on_node="c001n02" on_node_uuid="e8973f32-1c97-40cb-a84a-c489f49664a5">
-        <attributes CRM_meta_op_no_wait="true" />
+        <attributes CRM_meta_on_node="c001n02" CRM_meta_on_node_uuid="e8973f32-1c97-40cb-a84a-c489f49664a5" CRM_meta_op_no_wait="true" />
         <downed>
           <node id="e8973f32-1c97-40cb-a84a-c489f49664a5"/>
         </downed>
